Bug 2595 - ptrace only allows the thread that attached to a process to access it
Summary: ptrace only allows the thread that attached to a process to access it
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P3 normal
Target Milestone: ---
Assignee: Mike Cvet
URL:
Keywords:
Depends on: 2783
Blocks: 1496
  Show dependency treegraph
 
Reported: 2006-04-21 20:45 UTC by Adam Jocksch
Modified: 2006-06-19 21:17 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jocksch 2006-04-21 20:45:17 UTC
We would like to be able to access an attached process from any thread in the
process that did the attaching, not necesarily from the same thread that did the
original attach.
Comment 1 Mike Cvet 2006-06-15 17:39:47 UTC
Now all ptrace requests are run through the same ptrace thread instead of
through different ones - fixed in CVS by a workaround.
Comment 2 Mike Cvet 2006-06-19 21:17:04 UTC
Log message:
        2006-06-15  Mike Cvet  <mcvet@redhat.com>
        
        * Ptrace.java: Re-written to now perform all ptrace requests on a
        separate thread, to address #2595. The parent thread is always running
        and any children created or attaches to other processes are performed
        transparently on the ptrace thread which will continue to run after the
        very first ptrace request.
        * Ptrace.java: Re-written to satisfy the new requirements for Ptrace.java,
        specifically satisfying all requests with the new java ptrace thread.
        * Wait.cxx: Via #2774, double status returns via waitpid() have to be
        eliminated.
        * TestCallPtrace.java: Added - Unit test for new Ptrace.java
        * TestLib.java: Added
        * TestLib.cxx: Added
        * Errno.java: Made Errno understand (int err, String prefix) parameters
        * Errno.cxx: Added new function with the above parameters for returning
        error.